import 'package:cresce_ui/cresce_ui.dart';
import 'package:flutter/material.dart';
import 'package:intl/date_symbol_data_local.dart';

void main() {
  initializeDateFormatting();
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return const MaterialApp(
      title: 'Flutter Demo',
      debugShowCheckedModeBanner: false,
      home: Material(
        child: Center(
          child: Padding(
            padding: EdgeInsets.all(30.0),
            child: CBigModal(
              child: CWizard(
                items: [
                  Column(
                    mainAxisSize: MainAxisSize.max,
                    children: [
                      CInputText(label: 'some input 1'),
                      CInputText(label: 'some input 2'),
                      CInputText(label: 'some input 3'),
                    ],
                  ),
                  Column(
                    children: [
                      CInputText(label: 'some input 1'),
                      CInputText(label: 'some input 2'),
                      CInputText(label: 'some input 3'),
                    ],
                  ),
                ],
              ),
            ),
          ),
        ),
      ),
    );
  }
}
